## linux-restricted-modules 5.15.0-144.157+1

=== debian/ancillary/linux-restricted-generate/debian/changelog ===
linux-restricted-generate (5.15.0-144.157+1) jammy; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/2025.06.16)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 14 Jul 2025 21:42:17 +0100
