=== debian/control ===
--- 
+++ 
@@ -19,13 +19,14 @@
  nvidia-graphics-drivers-450-server (= 450.248.02-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-470 (= 470.256.02-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-470-server (= 470.256.02-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-535 (= 535.230.02-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-535 (= 535.247.01-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-535-server (= 535.247.01-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-550 (= 550.144.03-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-550-server (= 550.163.01-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-550 (= 550.163.01-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-565-server (= 565.57.01-0ubuntu0.22.04.4),
- nvidia-graphics-drivers-570 (= 570.133.07-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-570-server (= 570.133.20-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-570 (= 570.169-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-570-server (= 570.158.01-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-575 (= 575.64.03-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-575-server (= 575.57.08-0ubuntu0.22.04.2),
 Standards-Version: 3.9.4
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules/+git/jammy
 
@@ -237,6 +238,30 @@
 Description: Extra drivers for nvidia-570-open for the generic-5.15 flavour
  Install extra signed nvidia-570-open modules compatible with the generic-5.15 flavour.
 
+Package: linux-modules-nvidia-575-generic-5.15
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-575-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-575-5.15.0-144-generic (= ${binary:Version}),
+ ${nvk:nvidia-575},
+Description: Extra drivers for nvidia-575 for the generic-5.15 flavour
+ Install extra signed nvidia-575 modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-575-open-generic-5.15
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-575-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-575-open-5.15.0-144-generic (= ${binary:Version}),
+ ${nvk:nvidia-575-open},
+Description: Extra drivers for nvidia-575-open for the generic-5.15 flavour
+ Install extra signed nvidia-575-open modules compatible with the generic-5.15 flavour.
+
 Package: linux-modules-nvidia-450-server-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 
@@ -253,27 +278,3 @@
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
-Provides: ${dkms:nvidia-470-server-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-470-server-5.15.0-144-generic (= ${binary:Version}),
- ${nvk:nvidia-470-server},
-Description: Extra drivers for nvidia-470-server for the generic-5.15 flavour
- Install extra signed nvidia-470-server modules compatible with the generic-5.15 flavour.
-
-Package: linux-modules-nvidia-535-server-generic-5.15
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-535-server-5.15.0-144-generic (= ${binary:Version}),
- ${nvk:nvidia-535-server},
-Description: Extra drivers for nvidia-535-server for the generic-5.15 flavour
- Install extra signed nvidia-535-server modules compatible with the generic-5.15 flavour.
-
-Package: linux-modules-nvidia-535-server-open-generic-5.15
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
