=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  curl,
  dkms,
  gawk,
- linux-headers-5.15.0-144-generic (>= 5.15.0-144.157) [amd64 arm64],
- linux-headers-5.15.0-144-generic-64k (>= 5.15.0-144.157) [arm64],
+ linux-headers-5.15.0-150-generic (>= 5.15.0-150.160) [amd64 arm64],
+ linux-headers-5.15.0-150-generic-64k (>= 5.15.0-150.160) [arm64],
  lsb-release,
  python3,
  python3-apt,
@@ -19,14 +19,13 @@
  nvidia-graphics-drivers-450-server (= 450.248.02-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-470 (= 470.256.02-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-470-server (= 470.256.02-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-535 (= 535.247.01-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-535 (= 535.230.02-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-535-server (= 535.247.01-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-550 (= 550.163.01-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-550 (= 550.144.03-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-550-server (= 550.163.01-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-565-server (= 565.57.01-0ubuntu0.22.04.4),
- nvidia-graphics-drivers-570 (= 570.169-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-570-server (= 570.158.01-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-575 (= 575.64.03-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-575-server (= 575.57.08-0ubuntu0.22.04.2),
+ nvidia-graphics-drivers-570 (= 570.133.07-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-570-server (= 570.133.20-0ubuntu0.22.04.1),
 Standards-Version: 3.9.4
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules/+git/jammy
 
@@ -149,7 +148,7 @@
 Provides: ${dkms:nvidia-390-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-390-5.15.0-144-generic (= ${binary:Version}),
+ linux-modules-nvidia-390-5.15.0-150-generic (= ${binary:Version}),
  ${nvk:nvidia-390},
 Description: Extra drivers for nvidia-390 for the generic-5.15 flavour
  Install extra signed nvidia-390 modules compatible with the generic-5.15 flavour.
@@ -161,7 +160,7 @@
 Provides: ${dkms:nvidia-470-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-470-5.15.0-144-generic (= ${binary:Version}),
+ linux-modules-nvidia-470-5.15.0-150-generic (= ${binary:Version}),
  ${nvk:nvidia-470},
 Description: Extra drivers for nvidia-470 for the generic-5.15 flavour
  Install extra signed nvidia-470 modules compatible with the generic-5.15 flavour.
@@ -173,7 +172,7 @@
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-5.15.0-144-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-5.15.0-150-generic (= ${binary:Version}),
  ${nvk:nvidia-535},
 Description: Extra drivers for nvidia-535 for the generic-5.15 flavour
  Install extra signed nvidia-535 modules compatible with the generic-5.15 flavour.
@@ -185,7 +184,7 @@
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-5.15.0-144-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-open-5.15.0-150-generic (= ${binary:Version}),
  ${nvk:nvidia-535-open},
 Description: Extra drivers for nvidia-535-open for the generic-5.15 flavour
  Install extra signed nvidia-535-open modules compatible with the generic-5.15 flavour.
@@ -197,7 +196,7 @@
 Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-5.15.0-144-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-5.15.0-150-generic (= ${binary:Version}),
  ${nvk:nvidia-550},
 Description: Extra drivers for nvidia-550 for the generic-5.15 flavour
  Install extra signed nvidia-550 modules compatible with the generic-5.15 flavour.
@@ -209,7 +208,7 @@
 Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-open-5.15.0-144-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-open-5.15.0-150-generic (= ${binary:Version}),
  ${nvk:nvidia-550-open},
 Description: Extra drivers for nvidia-550-open for the generic-5.15 flavour
  Install extra signed nvidia-550-open modules compatible with the generic-5.15 flavour.
@@ -221,7 +220,7 @@
 Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-5.15.0-144-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-5.15.0-150-generic (= ${binary:Version}),
  ${nvk:nvidia-570},
 Description: Extra drivers for nvidia-570 for the generic-5.15 flavour
  Install extra signed nvidia-570 modules compatible with the generic-5.15 flavour.
@@ -233,35 +232,11 @@
 Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-open-5.15.0-144-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-open-5.15.0-150-generic (= ${binary:Version}),
  ${nvk:nvidia-570-open},
 Description: Extra drivers for nvidia-570-open for the generic-5.15 flavour
  Install extra signed nvidia-570-open modules compatible with the generic-5.15 flavour.
 
-Package: linux-modules-nvidia-575-generic-5.15
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-575-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-575-5.15.0-144-generic (= ${binary:Version}),
- ${nvk:nvidia-575},
-Description: Extra drivers for nvidia-575 for the generic-5.15 flavour
- Install extra signed nvidia-575 modules compatible with the generic-5.15 flavour.
-
-Package: linux-modules-nvidia-575-open-generic-5.15
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-575-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-575-open-5.15.0-144-generic (= ${binary:Version}),
- ${nvk:nvidia-575-open},
-Description: Extra drivers for nvidia-575-open for the generic-5.15 flavour
- Install extra signed nvidia-575-open modules compatible with the generic-5.15 flavour.
-
 Package: linux-modules-nvidia-450-server-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 
@@ -269,7 +244,7 @@
 Provides: ${dkms:nvidia-450-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-450-server-5.15.0-144-generic (= ${binary:Version}),
+ linux-modules-nvidia-450-server-5.15.0-150-generic (= ${binary:Version}),
  ${nvk:nvidia-450-server},
 Description: Extra drivers for nvidia-450-server for the generic-5.15 flavour
  Install extra signed nvidia-450-server modules compatible with the generic-5.15 flavour.
@@ -278,3 +253,27 @@
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
+Provides: ${dkms:nvidia-470-server-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-470-server-5.15.0-150-generic (= ${binary:Version}),
+ ${nvk:nvidia-470-server},
+Description: Extra drivers for nvidia-470-server for the generic-5.15 flavour
+ Install extra signed nvidia-470-server modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-535-server-generic-5.15
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-535-server-5.15.0-150-generic (= ${binary:Version}),
+ ${nvk:nvidia-535-server},
+Description: Extra drivers for nvidia-535-server for the generic-5.15 flavour
+ Install extra signed nvidia-535-server modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-535-server-open-generic-5.15
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
