=== debian/changelog ===
linux-restricted-modules (5.15.0-151.161) jammy; urgency=medium

  * Main version: 5.15.0-151.161

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/s2025.06.16)

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 22 Jul 2025 16:04:49 +0200
