=== debian/changelog ===
linux-restricted-modules (5.15.0-152.162) jammy; urgency=medium

  * Main version: 5.15.0-152.162

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 23 Jul 2025 11:22:25 +0200
