=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  curl,
  dkms,
  gawk,
- linux-headers-5.15.0-151-generic (>= 5.15.0-151.161) [amd64 arm64],
- linux-headers-5.15.0-151-generic-64k (>= 5.15.0-151.161) [arm64],
+ linux-headers-5.15.0-152-generic (>= 5.15.0-152.162) [amd64 arm64],
+ linux-headers-5.15.0-152-generic-64k (>= 5.15.0-152.162) [arm64],
  lsb-release,
  python3,
  python3-apt,
@@ -149,7 +149,7 @@
 Provides: ${dkms:nvidia-390-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-390-5.15.0-151-generic (= ${binary:Version}),
+ linux-modules-nvidia-390-5.15.0-152-generic (= ${binary:Version}),
  ${nvk:nvidia-390},
 Description: Extra drivers for nvidia-390 for the generic-5.15 flavour
  Install extra signed nvidia-390 modules compatible with the generic-5.15 flavour.
@@ -161,7 +161,7 @@
 Provides: ${dkms:nvidia-470-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-470-5.15.0-151-generic (= ${binary:Version}),
+ linux-modules-nvidia-470-5.15.0-152-generic (= ${binary:Version}),
  ${nvk:nvidia-470},
 Description: Extra drivers for nvidia-470 for the generic-5.15 flavour
  Install extra signed nvidia-470 modules compatible with the generic-5.15 flavour.
@@ -173,7 +173,7 @@
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-5.15.0-151-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-5.15.0-152-generic (= ${binary:Version}),
  ${nvk:nvidia-535},
 Description: Extra drivers for nvidia-535 for the generic-5.15 flavour
  Install extra signed nvidia-535 modules compatible with the generic-5.15 flavour.
@@ -185,7 +185,7 @@
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-5.15.0-151-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-open-5.15.0-152-generic (= ${binary:Version}),
  ${nvk:nvidia-535-open},
 Description: Extra drivers for nvidia-535-open for the generic-5.15 flavour
  Install extra signed nvidia-535-open modules compatible with the generic-5.15 flavour.
@@ -197,7 +197,7 @@
 Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-5.15.0-151-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-5.15.0-152-generic (= ${binary:Version}),
  ${nvk:nvidia-550},
 Description: Extra drivers for nvidia-550 for the generic-5.15 flavour
  Install extra signed nvidia-550 modules compatible with the generic-5.15 flavour.
@@ -209,7 +209,7 @@
 Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-open-5.15.0-151-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-open-5.15.0-152-generic (= ${binary:Version}),
  ${nvk:nvidia-550-open},
 Description: Extra drivers for nvidia-550-open for the generic-5.15 flavour
  Install extra signed nvidia-550-open modules compatible with the generic-5.15 flavour.
@@ -221,7 +221,7 @@
 Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-5.15.0-151-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-5.15.0-152-generic (= ${binary:Version}),
  ${nvk:nvidia-570},
 Description: Extra drivers for nvidia-570 for the generic-5.15 flavour
  Install extra signed nvidia-570 modules compatible with the generic-5.15 flavour.
@@ -233,7 +233,7 @@
 Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-open-5.15.0-151-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-open-5.15.0-152-generic (= ${binary:Version}),
  ${nvk:nvidia-570-open},
 Description: Extra drivers for nvidia-570-open for the generic-5.15 flavour
  Install extra signed nvidia-570-open modules compatible with the generic-5.15 flavour.
@@ -245,7 +245,7 @@
 Provides: ${dkms:nvidia-575-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-575-5.15.0-151-generic (= ${binary:Version}),
+ linux-modules-nvidia-575-5.15.0-152-generic (= ${binary:Version}),
  ${nvk:nvidia-575},
 Description: Extra drivers for nvidia-575 for the generic-5.15 flavour
  Install extra signed nvidia-575 modules compatible with the generic-5.15 flavour.
@@ -257,7 +257,7 @@
 Provides: ${dkms:nvidia-575-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-575-open-5.15.0-151-generic (= ${binary:Version}),
+ linux-modules-nvidia-575-open-5.15.0-152-generic (= ${binary:Version}),
  ${nvk:nvidia-575-open},
 Description: Extra drivers for nvidia-575-open for the generic-5.15 flavour
  Install extra signed nvidia-575-open modules compatible with the generic-5.15 flavour.
@@ -269,7 +269,7 @@
 Provides: ${dkms:nvidia-450-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-450-server-5.15.0-151-generic (= ${binary:Version}),
+ linux-modules-nvidia-450-server-5.15.0-152-generic (= ${binary:Version}),
  ${nvk:nvidia-450-server},
 Description: Extra drivers for nvidia-450-server for the generic-5.15 flavour
  Install extra signed nvidia-450-server modules compatible with the generic-5.15 flavour.
